ENUM RATE_INFO_FLAGS(9)

NAME
enum_rate_info_flags - bitrate info flags

SYNOPSIS

enum rate_info_flags {
  RATE_INFO_FLAGS_MCS,
  RATE_INFO_FLAGS_VHT_MCS,
  RATE_INFO_FLAGS_40_MHZ_WIDTH,
  RATE_INFO_FLAGS_80_MHZ_WIDTH,
  RATE_INFO_FLAGS_80P80_MHZ_WIDTH,
  RATE_INFO_FLAGS_160_MHZ_WIDTH,
  RATE_INFO_FLAGS_SHORT_GI,
  RATE_INFO_FLAGS_60G
};

CONSTANTS

RATE_INFO_FLAGS_MCS
    mcs field filled with HT MCS

RATE_INFO_FLAGS_VHT_MCS
    mcs field filled with VHT MCS

RATE_INFO_FLAGS_40_MHZ_WIDTH
    40 MHz width transmission

RATE_INFO_FLAGS_80_MHZ_WIDTH
    80 MHz width transmission

RATE_INFO_FLAGS_80P80_MHZ_WIDTH
    80+80 MHz width transmission

RATE_INFO_FLAGS_160_MHZ_WIDTH
    160 MHz width transmission

RATE_INFO_FLAGS_SHORT_GI
    400ns guard interval

RATE_INFO_FLAGS_60G
    60GHz MCS

DESCRIPTION

Used by the driver to indicate the specific rate transmission type for 802.11n transmissions.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT